config = dict \
(
protocol = "http",
listener_address = ("0.0.0.0", 8442),
max_connections = 100,
ssl_key_cert_file = "$__cage_dir__/ssl_keys/sample_web_server_key_cert.pem",
ssl_ca_cert_file = "$__cage_dir__/ssl_keys/sample_web_server_ca_cert.pem",
ssl_ciphers = "HIGH:!aNULL:!MD5",
response_encoding = "utf-8",
original_ip_header_fields = (),
allowed_methods = ("GET", ),
keep_alive_support = True,
keep_alive_idle_timeout = 120.0,
keep_alive_max_requests = 10,
gzip_content_types = ("text/*", ),
)

# this config file is patched to return SSL keys locations from the cage directory,
# no matter what it is, this is because I don't know where the sample is extracted

__all__ = [ "get", "copy" ]

import os; from os import path as os_path

get = lambda key, default = None: pmnc.config.get_(config, {}, key, default)
copy = lambda: pmnc.config.copy_(config, {})

# EOF